@charset "UTF-8";
/*==============================================================================
1.ページタイトル・共通タイトル
2.各サービス
3.店舗情報
==============================================================================*/

/*============================================================================================================================================================
==============================================================================================================================================================

	1.ページタイトル・共通タイトル

==============================================================================================================================================================
============================================================================================================================================================*/
#title{
    background-image: url(../1_img/page-shop/title_sp.jpg);
}
@media all and (min-width: 769px) {
    #title{
        background-image: url(../1_img/page-shop/title_pc.jpg);
    }
}



/*============================================================================================================================================================
==============================================================================================================================================================

	2.地図

==============================================================================================================================================================
============================================================================================================================================================*/
#shop-map{
    margin-top: 30px;

    & iframe{
        width: 100%;
        aspect-ratio: 3 / 5;
    }
}
@media all and (min-width: 769px) {
    #shop-map{
        margin-top: 80px;

        & iframe{
            aspect-ratio: 9 / 4;
        }
    }
}




/*============================================================================================================================================================
==============================================================================================================================================================

	3.店舗情報

==============================================================================================================================================================
============================================================================================================================================================*/
#shop{
    & h2{
        text-align: center;

        & > span{
            display: block;

            & >  span{
                display: inline-block;
                position: relative;
                padding-bottom: 15px;
                font-size: 1.6rem;
                font-family: var(--font-sub);
                line-height: 1.4;

                &::after {
                    content: "";
                    position: absolute;
                    left: 0;
                    bottom: 0;
                    width: 100%;
                    height: 5px;
                    background: radial-gradient(circle at 2.5px 2.5px, var(--color-sub) 0 2.5px, transparent 2.5px);
                    background-size: 10px 5px;
                    background-repeat: repeat-x;
                }
            }

            & + span{
                margin-top: 10px;
            }
        }
    }

    /* ==================== 店舗一覧 ==================== */
    & .shop-list{
        margin-top: 45px;
        display: flex;
        flex-wrap: wrap;
        gap: 5px;

        & dl{
            width: calc( (100% - 5px) / 2 );
            display: flex;
            flex-wrap: wrap;

            &.sp-100{
                width: 100%;
                gap: 5px;

                & dd{
                    width: calc( (100% - 5px) / 2 );
                }
            }
            & dt{
                margin-bottom: 5px;
                padding-left: 10px;
                width: 100%;

                & span{
                    min-width: 55px;
                    padding: 5px 0 7px; 
                    display: inline-block;
                    background-color: var(--color-font);
                    color: #fff;
                    text-align: center;
                    line-height: 1;
                }
            }
            & dd{
                width: 100%;

                & a{
                    padding: 10px 30px 10px 25px;
                    min-height: 65px;
                    position: relative;
                    display: flex;
                    align-items: center;
                    justify-content: left;
                    border-radius: 15px;
                    background-color: var(--color-accent);
                    color: var(--col-font);
                    font-weight: var(--weight-bold);

                    &::after{
                        content: "";
                        width: 10px;
                        height: 10px;
                        position: absolute;
                        top: 50%;
                        right: 20px;
                        border-top: 2px solid var(--color-font);
                        border-left: 2px solid var(--color-font);
                        transform: translate(0, -50%) rotate(-135deg);
                    }
                }
            }
        }
    }

    /* ==================== 店舗詳細 ==================== */
    & .shop-detail_outer{
        margin-top: 50px;
    }
    & .shop-detail{
        & section{
            padding-bottom: 50px;
            position: relative;

            /* ===== 飾りの点線 ===== */
            &::after {
                content: "";
                width: calc(100% - 60px);
                height: 5px;
                position: absolute;
                left: 50%;
                bottom: 0;
                transform: translateX(-50%);
                background: radial-gradient(circle at 2.5px 2.5px, var(--color-font) 0 2.5px, transparent 2.5px);
                background-size: 10px 5px;
                background-repeat: repeat-x;
            }
        }

        /* ===== エリアと店舗名 ===== */
        & .shop-title{
            padding: 15px 12px 15px 65px;
            display: flex;
            align-items: center;
            position: relative;
            border-bottom: 10px solid var(--color-main);
            gap: 0 15px;

            /* MAPアイコン */
            &::before{
                content:"";
                width: 28px;
                aspect-ratio: 28 / 38;
                position: absolute;
                left: 17px;
                top: 50%;
                transform: translateY(-50%);
                background: url(../1_img/base/icon-map.svg) no-repeat center / 100% auto;
            }

            /* エリア */
            & .shop-area{
                width: 65px;
                padding: 5px 5px 7px;
                background-color: var(--color-font);
                text-align: center;
                color: #fff;
                font-size: 1.4rem;
                line-height: 1;
            }

            /* 店名 */
            & h3{
                font-weight: var(--weight-bold);
                font-family: var(--font-sub);
                font-size: 1.8rem;
            }
        }

        /* ===== 画像と詳細 ===== */
        & .img-info{
            margin-top: 20px;
            padding: 0 15px;

            & img{
                width: 100%;
            }
            
            /* 詳細 */
            & .info{
                margin-top: 35px;
                display: flex;
                flex-direction: column;
                gap: 20px;
                
                & .note{
                    color: #e36154;      /* 赤 */
                     font-weight: bold;   /* 太字 */
                }

                & dl{
                    display: flex;
                    align-items: flex-start;
                    gap: 20px;

                    & dt{
                        width: 95px;
                        flex-shrink: 0;
                        background-color: var(--color-font);
                        color: #fff;
                        font-weight: var(--weight-medium);
                        text-align: center;
                        border-radius: 30px;
                    }

                    & dd{
                        font-weight: var(--weight-medium);
                    }
                }
            }
        }

        /* ===== ボタン ===== */
        & .btn_wrap{
            margin-top: 25px;
            padding: 0 15px;
            display: flex;
            flex-direction: column;
            gap: 10px;

            & a{
                width: 100%;

                &.window{
                    &::after{
                        right: 30px!important;
                    }
                }

                &.tel{
                    &::after{
                        content: none;
                    }
                    & span{
                        padding-left: 35px;
                        display: inline-block;
                        position: relative;

                        &::after{
                            content: "";
                            width: 15px;
                            height: auto;
                            position: absolute;
                            top: 50%;
                            left: 0;
                            aspect-ratio: 15 / 20;
                            background: url(../1_img/base/icon-tel.svg) no-repeat center / 100% auto;
                            border: none;
                            transform: translateY(-50%);
                        }
                    }
                }
            }
        }

        & section + section{
            margin-top: 50px;
        }
    }

}
/*==============================================================================

	店舗情報 PC

==============================================================================*/
@media all and (min-width: 768px){
    #shop{

        & h2{
            & > span{
                & >  span{
                    font-size: 2.4rem;
                }
            }
        }

        /* ==================== 店舗一覧 ==================== */
        & .shop-list{
            margin-top: 65px;
            gap: 15px 5px;

            & dl{
                width: calc( (100% - 15px) / 4 );
                display: flex;
                flex-wrap: wrap;

                &.pc-50{
                    width: calc( (100% - 5px) / 2 );
                    gap: 5px;

                    & dd{
                        width: calc( (100% - 5px) / 2 );
                    }
                }

                &.pc-100{
                    width: 100%;
                    gap: 5px;

                    & dd{
                        width: calc( (100% - 15px) / 4 );
                    }
                }
                & dt{
                    padding-left: 0;
                }
            }
        }


        /* ==================== 店舗詳細 ==================== */
        & .shop-detail_outer{
            margin-top: 90px;
        }
        & .shop-detail{
            & section{
                padding-bottom: 35px;

                /* ===== 飾りの点線 ===== */
                &::after {
                    width: calc(100% - 40px);
                }
            }

            /* ===== エリアと店舗名 ===== */
            & .shop-title{
                padding: 20px 17px 20px 110px;
                gap: 0 20px;

                /* MAPアイコン */
                &::before{
                    width: 48px;
                }

                /* エリア */
                & .shop-area{
                    width: 110px;
                    padding: 10px 5px 12px;
                    font-size: 2.2rem;
                }

                /* 店名 */
                & h3{
                    font-size: 3rem;
                }
            }

            /* ===== 画像と詳細 ===== */
            & .img-info{
                margin-top: 40px;
                padding: 0;
                display: flex;
                align-items: flex-start;

                & .img{
                    width: 50%;
                    text-align: center;

                    & img{
                        width: 375px;
                    }
                }
                
                /* 詳細 */
                & .info{
                    margin-top: 0;
                    width: 50%;
                    gap: 25px;

                    & dl{
                        gap: 30px;
                    }
                }
            }

            /* ===== ボタン ===== */
            & .btn_wrap{
                margin-top: 45px;
                padding: 0 55px;
                flex-direction: row;
                justify-content: space-between;

                & a{
                    width: 380px;

                    &.window{
                        &::after{
                            right: 40px!important;
                        }
                    }
                }
            }

            & section + section{
                margin-top: 50px;
            }
        }

    }
}